<template>
    <div class="config">
        <div class="inputList">
            <div>
                <label for="">
                    Name
                    <input v-model="currentItem.name" type="text">
                </label>
            </div>
            <div>
                <label for="">
                    Measure
                    <input v-model="currentItem.measure" type="text">
                </label>
            </div>
            <div>
                <label for="">
                    Price per one
                    <input v-model="currentItem.pricePerOne" type="text">
                </label>
            </div>
            <div>
                <label for="">
                    Nationality
                    <input v-model="currentItem.nationality" type="text">
                </label>
            </div>
        </div>
        <div class="button">
            <button @click="onAction">{{ actionBtnText }}</button>
        </div>
    </div>
</template>

<script>
import { mapActions, mapGetters } from 'vuex'


export default {
    name: 'ConfigItemView',
    data() {
        return {
            currentItem: {}
        }
    },
    computed: {
        ...mapGetters(['getItemById']),
        itemId() {
            return this.$route.params.itemId
        },
        actionBtnText() {
            return this.itemId ? 'Save changes' : 'Create item'
        }
    },
    created() {
        if (this.itemId)
            this.currentItem = { ...this.getItemById(this.itemId) }

    },
    methods: {
        ...mapActions(['addItem', 'updateItem']),
        onAction() {
            if (!this.itemId)
                this.addItem(this.currentItem)
            else
                this.updateItem(this.currentItem)
            this.$router.push({ name: 'home' })
        }

    },


}
</script>

<style lang="scss" scoped>
.config {
    display: flex;
    flex-direction: column;
    padding: 1.5%;

    border: 2px solid green;
    background-color: rgb(207, 243, 207);
    border-radius: 10px;
}
</style>